Ubuntu

xsession not set to kde, cannot start desktop with message xsession failed

Reported by Kenneth Wimer on 2008-10-22
30
Affects Status Importance Assigned to Milestone
Release Notes for Ubuntu
Undecided
Unassigned
kdebase-workspace (Ubuntu)
Undecided
Unassigned
Intrepid
Undecided
Unassigned

Bug Description

After first reboot (after installation) the xsession is not set (to anything). Cannot start login from kdm with error message about Xsession failing

Kenneth Wimer (kwwii) wrote :

This appears to only happen on systems which previously had ubuntu/gnome installed and the drive was not formated during installation. A fresh install in which the drive was formated does not experience this problem

Steve Langasek (vorlon) wrote :

I understand that this is the same as bug #281950; marking as a duplicate.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kdebase-workspace - 4:4.1.2-0ubuntu12

---------------
kdebase-workspace (4:4.1.2-0ubuntu12) intrepid; urgency=low

  * In kdebase-workspace-bin.postinst remove hardy KDE 4
    default for x-session-manager, closes LP: #287488

 -- Jonathan Riddell <email address hidden> Thu, 23 Oct 2008 02:04:39 +0100

Changed in kdebase-workspace:
status: New → Fix Released
Jonathan Riddell (jr) wrote :

Not yet fixed

Changed in kdebase-workspace:
status: Fix Released → In Progress
Jonathan Riddell (jr) wrote :

Release note added

Changed in ubuntu-release-notes:
status: New → Fix Released
Jonathan Riddell (jr) wrote :

TEST CASE:
debootstrap hardy hardy
 sudo chroot hardy
 edit /etc/apt/sources.list, add universe
 apt-get install kdebase-workspace-bin
 update-alternatives --display x-session-manager <it will point to /usr/lib/kde4/bin/startkde>
edit /etc/apt/sources.list s/hardy/intrepid/ and add intrepid-updates/proposed is enabled (or add deb http://people.ubuntu.com/~jriddell/tmp/archive/ ./)
apt-get update
 apt-get install kdebase-workspace-bin
 update-alternatives --display x-session-manager <should point to /usr/bin/startkde>

Martin Pitt (pitti) wrote :

Accepted into intrepid-proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in kdebase-workspace:
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :

Copied intrepid-proposed version to jaunty.

Changed in kdebase-workspace:
status: Fix Committed → Fix Released
Jonathan Riddell (jr) wrote :

Testing with version from intrepid-proposed works for me.

Martin Pitt (pitti) wrote :

Copied to intrepid-updates.

Changed in kdebase-workspace:
status: Fix Committed → Fix Released
James (james-ellis-gmail) wrote :
Download full text (6.2 KiB)

I have a similar problem (found via http://ubuntuforums.org/showthread.php?t=965001) with a user on a Kubuntu system.

I tried updating kdebase-workspace from intrepid-proposed but the problem still exists.

Background:
1. System was previously Hardy with KDE4 and KDE3.5.10 installed
2. 2 users: one using KDE4, one using KDE3
3. Updated to Intrepid, KDE4 only
4. The user who was KDE4 only can log in ok and run KDE4
5. The user who was KDE3 (now KDE4) only gets the KDM greeter, enters password and blank screen with a mouse pointer is seen.
6. Restart X (Ctrl-Alt-Backspace) to get back to KDM greeter : goto 5

The KDE3 user does not have sudo privs if that helps (I notice the permission denied errors? ) Maybe they don't belong to a required group on the system and cannot read the files required ?

.xsession-errors shows some failures as noted in previous comments and that forum link:

$ cat .xsession-errors
Xsession: X session started for tamara at Sat Nov 15 11:06:43 EST 2008
/etc/X11/Xsession.d/40guidance-displayconfig_restore: line 11: /usr/bin/displayconfig-restore: No such file or directory
Setting IM through im-switch for locale=en_AU.
Start IM through /etc/X11/xinit/xinput.d/all_ALL linked to /etc/X11/xinit/xinput.d/default.
/usr/bin/xmodmap: unable to open file '/usr/share/apps/kxkb/ubuntu.xmodmap' for reading
/usr/bin/xmodmap: 1 error encountered, aborting.
NVIDIA: could not open the device file /dev/nvidiactl (Permission denied).
NVIDIA: Direct rendering failed; attempting indirect rendering.
kwin(7123) KDecorationPlugins::loadPlugin: kwin : path "/usr/lib/kde4/kwin3_ozone.so" for "kwin3_ozone"
NVIDIA: could not open the device file /dev/nvidiactl (Permission denied).
NVIDIA: Direct rendering failed; attempting indirect rendering.
kwin(7123) KToolInvocation::klauncher: klauncher not running... launching kdeinit
kdeinit4: preparing to launch /usr/lib/kde4/libexec/klauncher
kdeinit4: preparing to launch /usr/bin/kded4
kdeinit4: preparing to launch /usr/bin/kbuildsycoca4
kbuildsycoca4 running...
kdeinit4: preparing to launch /usr/lib/kde4/libexec/kconf_update
kdeinit4: preparing to launch /usr/bin/knotify4
kwin(7123): Couldn't start knotify from knotify4.desktop: "KDEInit could not launch '/usr/bin/knotify4'."

NVIDIA: could not open the device file /dev/nvidiactl (Permission denied).
NVIDIA: Direct rendering failed; attempting indirect rendering.
x-window-manager: Fatal IO error: client killed
QObject: Do not delete object, 'unnamed', during its event handler!
QObject: Do not delete object, 'unnamed', during its event handler!
QObject: Do not delete object, 'unnamed', during its event handler!
kdeinit4: Fatal IO error: client killed
klauncher: Exiting on signal 15
kded4: Fatal IO error: client killed
XIO: fatal IO error 4 (Interrupted system call) on X server ":0.0"
      after 25 requests (8 known processed) with 0 events remaining.
knotify4: Fatal IO error: client killed

=========

And another attempt at login:
$ cat xsession-errors-login-20081115-2
Xsession: X session started for tamara at Sat Nov 15 10:44:46 EST 2008
/etc/X11/Xsession.d/40guidance-displayconfig_restore: line 11: /usr/bin/displayconfig-resto...

Read more...

tags: added: iso-testing
ormaro (orlandojose3) wrote :

 think this older machine is not enof capacity for jaunty jackalope I yes decide to camdown to 8.04xubuntu hardy heron if dat possible

Changed in ubuntu-release-notes:
status: Fix Released → In Progress
Steve Langasek (vorlon) on 2009-12-22
Changed in ubuntu-release-notes:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Patches